/* variables.css */

:root {
	--font-content: "NotoSans";
	--font-title: "NotoSans";
	--color-body: "black";
	--color-main: rgb(37 61 145);
	--color-main-dark: rgb(37 61 145);
	--color-main-light: rgb(231 231 242);
	--color-grey: #aaa;
}
	
@font-face {
	font-family: 'NotoSans';
	src: url('NotoSans-Black.ttf') format('truetype');
	font-style: normal;
	font-weight: 800;
}
	
/* Webfont: NotoSans */
@font-face {
	font-family: 'NotoSans';
	src: url('NotoSans-BlackItalic.ttf') format('truetype');
	font-style: italic;
	font-weight: 800;
}
/* Webfont: NotoSans */
@font-face {
	font-family: 'NotoSans';
	src: url('NotoSans-Regular.ttf') format('truetype');
	font-style: normal;
	font-weight: 400;
}
	
/* Webfont: NotoSans */
@font-face {
	font-family: 'NotoSans';
	src: url('NotoSans-Italic.ttf') format('truetype');
	font-style: italic;
	font-weight: 400;
}
/* Webfont: NotoSans Gris */
@font-face {
	font-family: 'NotoSans';
	src: url('NotoSans-Bold.ttf') format('truetype');
	font-style: normal;
	font-weight:  600;
}
	
/* Webfont: NotoSans GrisItalica */
@font-face {
	font-family: 'NotoSans';
	src: url('NotoSans-BoldItalic.ttf') format('truetype');
	font-style: italic;
	font-weight: 600;
}

body {
	font-family: var(--font-content);
	font-size: 12px;
	font-weight: 300;
	line-height: 1.3;
	widows: 1;
	orphans: 1;
}
	
/* header */

/* header {
  background: var(--color-main-light);
} */

p {
	line-height: 1.5;
}

/* // main / */

.content a {
	color: var(--color-main);
	text-decoration: underline;
	text-underline-offset: 3px;
	text-decoration-color: var(--color-main-light);
}

.content p {
	text-align: justify;
}

#researchLevel {
	text-transform: uppercase;
	font-family: serif;
	font-size: 1.3em;
	color: var(--color-main);
	letter-spacing: 0.2ch;
	width: max-content;
	display: inline-block;
	margin-top: 1.4em;
	margin-bottom: 0.4em;
	font-size: 1.6em;
}

#topicList {
	display: inline;
	width: max-content;
	color: var(--color-main);
	list-style-type: none;
	text-align: right;
	padding: 0;
	margin-left: 0;
	margin-bottom: 0;
	margin-left: auto;
	text-align: right;
}

#topicList li {
	margin-right: 2ch;
	margin-left: 3ch;
	display: inline-block;
	color: var(--color-main-dark);
	/*experimental */
}
#topicList li::before {
	content: ' #';
}
h1.title {
	margin-top: 0;
	font-size: 1.5em;
	margin-top: 0;
	line-height: 1.3;
	font-weight: 600;
}

.formattedAuthors,
.formattedAffiliations {
	font-size: 1em;
	text-align: right;
	margin-top: 0;
	line-height: 1.3;
	margin-bottom: 0;
}
.formattedAuthors {
	font-weight: 600;
	margin-bottom: 0.5em;
}

.formattedAffiliations {
	margin-left: 30mm;
}

.formattedAuthors sup {
	color: var(--color-main);
	font-size: 0.8em;
}

:is(.formattedAuthors, .formattedAffiliations) ul {
	list-style-type: none;
	margin: 0;
	padding: 0;
}

:is(.formattedAuthors, .formattedAffiliations) ul li {
	display: inline;
}

.formattedAffiliations {
	margin-top: 0;
	font-size: 0.9em;
	margin-bottom: 1em;
}

h2,
h3,
h4,
h5,
h6 {
	margin-top: 1em;
	margin-bottom: 0.3em;
	font-weight: 700;
	break-after: avoid;
	color: var(--color-main);
}
h2 {
	font-size: 1.4em;
	margin-top: 2em;
}

h3 {
	font-size: 1.4em;
	font-weight: 500;
}

/* h4 {
} */

h5 {
	text-transform: uppercase;
	font-size: 1em;
	text-decoration: underline;
}

h6 {
	font-size: 1em;
	text-decoration: underline;
}
/* footnote {
  display: none;
} */
footnote, .footnote {
	float: footnote;
	font-size: 0.8em;
	padding-top: 0.5em;

	/* margin-left: 40mm; */
	/* margin-top: 1em; */
	/* font-size: 12px; */
}

footnote a, .footnote a {
	word-break: break-all;
}

::footnote-call {
	color: var(--color-main);
	font-weight: 500;
}

::footnote-marker {
	content: counter(footnote-marker) '. ';
	/* color: var(--color-main-dark); */
	font-weight: 500;
	line-height: 0;
}

/* footnote debugger */
/* [data-has-notes] {
  color: orange;
} */

table {
	border-collapse: collapse;
	font-size: 0.8em;
	break-inside: avoid;
}
table :is(td, tr) {
	padding: 0;
	margin: 0;
}

table p {
	margin: 0;
	padding: 0.3em 2ch;
	line-height: 1.2;
}

table thead th {
	background: var(--color-main-light);
}

table tr {
	border-bottom: 1px solid var(--color-main);
	/* break-inside: avoid; */
}

/*figure*/

main {
	counter-reset: figure;
}

figure {
	break-inside: avoid;
	display: block;
	counter-increment: figure;
	/* width: 100%; */
	display: block;
	height: auto;
	margin: 0.5em 8ch;
	/* border: 2px solid var(--color-main); */
	padding: 1em 2ch;
	/* column-span: all; */
}

figure img {
	margin: auto;
}

figure[data-split-to] {
	border-bottom: 1px solid transparent !important;
}
figure[data-split-from] {
	border-top: 1px solid transparent !important;
}

img {
	width: 100%;
	height: auto;
	max-height: 40em;
	object-fit: contain;
	object-position: top left;
}
figcaption {
	font-size: 0.9em;
	margin-top: 1em;
}
figcaption em {
	font-style: normal;
}

.doi {
	string-set: doi content(text);
	margin: 0;
	text-align: right;
	width: 100%;
	line-height: 1;
	display:none;
}


.marginData {
	font-size: 10px;
}
.marginData h4 {
	font-weight: 300;
}

.marginData {
	/* margin-left: calc(var(--pagedjs-margin-left) * -1); */
	/* margin-right: calc(var(--pagedjs-margin-right) * -1); */
	/* padding-right: var(--pagedjs-margin-right); */
	/* padding-left: var(--pagedjs-margin-left); */
	/* background: var(--color-main-light); */
	/* padding-top: 0.4em; */
	/* padding-bottom: 0.3em; */
	display: block;
	margin-top: 2em;
	padding: 1em 0;
	line-height: 1.2;
	border-top: 1px solid var(--color-main);
}
.marginData h4 {
	text-decoration: none;
	margin: 0;
}

.marginData p {
	margin: 0.5ch 0;
}

.marginData > section {
	display: grid;
	align-items: baseline;
	grid-gap: 0 4ch;
	grid-template-columns: max-content 1fr;
}
.marginData .date {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
}

.marginData .date > div :is(h4, p) {
	margin-right: 1.4ch;
	display: inline;
}




ol ::marker {
	color: orange;
}

.content,
header,
.marginData {
	/* columns: 2; */
	gap: 4ch;
	font-size: 0.9em;
	margin: 0 10ch 0 10ch;
}

.content p {
	margin-top: 0;
}

a {
	white-space: pre-wrap;
	overflow-wrap: break-word;
	color: var(--color-main);
}

.abstract {
	font-size:1em;
	font-weight:500;
	background: var(--color-main-light);
	margin-left: calc((var(--pagedjs-margin-left) + 10ch) * -1);
	margin-right: calc((var(--pagedjs-margin-right) + 10ch) * -1);
	padding: 1em calc(10ch + var(--pagedjs-margin-right)) 1em calc(10ch + var(--pagedjs-margin-left));
	display: block;
	margin-bottom: 4ch;
}

.abstract h2:first-child {
	margin-top: 0;
}

@page {
	size: letter;
	margin: 18mm 14mm 26mm 14mm;

	@footnote {
		float: bottom;
		font-size: 10px;
		margin: 0 10ch;
	}
}

@page :first {
	margin-top: 30mm;
	@top-left-corner {
		border: 0;
		content: none;
	}
	@top-left {
		content: none;
	}
	@top-right {
		content: none;
	}
}

.logo {
	width: 30mm;
	top: -28mm;
	position: absolute;
	padding-top: 2em;
	padding-right: 3ch;
	background: white;
}



.titlepage::before {
	content: string(journalSlug); 
	font-size: 0.8em;
	color: white;
	margin-left: calc(var(--pagedjs-margin-left) * -1);
	margin-right: calc(var(--pagedjs-margin-right) * -1);
	background: var(--color-main);
	display: block;
	padding-top: 0.4em;
	padding-bottom: 0.3em;
	line-height: 1.2;
	padding-right: 5ch;
	text-align: right;
}

.titlepage[data-split-from]::before {
	content: none;
}

#researchLevel {
	string-set: researchLevel content(text);
}

.title {
	string-set: title content(text);
}

#journalTitle {
	string-set: journalTitle content(text);
	display: none;
}

#journalSlug {
	string-set: journalSlug content(text);
	display: none;
}

@page {
	@top-left-corner {
		content: ' ';
		border-bottom: 3px solid var(--color-main);
		width: 100%;
		display: block;
		width: var(--pagedjs-width);
		top: 3em;
		position: absolute;
	}
	@top-left {
		font-size: 10px;
		color: var(--color-grey);
		margin-top: -2em;
		content: string(researchLevel) ' — ' string(title);
		/* write-space: nowrap; */
	}
	@top-right {
		font-size: 10px;
		color: var(--color-grey);
		margin-top: -2em;
		content: string(journalTitle);
		color: var(--color-main);
	}
	@bottom-left-corner {
		content: ' ';
		border-bottom: 3px solid var(--color-main);
		width: 100%;
		display: block;
		width: var(--pagedjs-width);
		bottom: 5em;
		position: absolute;
	}
	@bottom-left {
		font-size: 10px;
		color: var(--color-grey);
		margin-top: 4em;
		content: string(doi) ' — ' string(title);
	}
	@bottom-right {
		font-size:10px;
		margin-top: 4em;
		content: counter(page) ' of ' counter(pages);
		color: var(--color-grey);
		width: 30ch;
	}
}

/* MY TWEAKS */

/* dealing with references */

section.reflist  p {
	text-align: left;
}


/* make dates look better */

/* aside .date h4 {
		margin-right: 8px;
	} */

/* .formattedAuthors {
		font-weight: 700;
		color: var(color-main-dark); 
		margin-bottom: 0;
		text-align: left;
	}

	.formmatedAuthors small {
		color: black;
		font-weight: 400;
	} */

.formattedAffiliations { 
	list-style-type: none;
	margin: 0; 
	margin-left: 30mm;
	margin-bottom: 1em;
	padding: 0;

	/*	text-align: left; */
}

.formattedAffiliations li {
	list-style-type: none; 
	display: inline-block; 
	margin: 0;
}
/*
	.formattedAffiliations li small {
		color: black;
		font-weight: 400;
	} */



